## springlobby 0.139

=== CMakeLists.txt ===
PROJECT(springlobby)

#set minimum cmake version
cmake_minimum_required(VERSION 2.6)
SET(CMAKE_COLOR_MAKEFILE ON)

# Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
# MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
IF(NOT MSVC)
	IF( NOT MINGW )
		#wxMSW generates > 9000 warnings with -wextra...
		ADD_DEFINITIONS( -Wextra )
	ENDIF( NOT MINGW )
	ADD_DEFINITIONS( -Wall -Wno-strict-aliasing )
ELSE(NOT MSVC)
	ADD_DEFINITIONS(-D_RC_MSVC)
ENDIF(NOT MSVC)
IF(WIN32)
	ADD_DEFINITIONS( -DWXUSINGDLL -D__WXMSW__ -D_WIN32_WINNT=0x0501)
ENDIF(WIN32)

#----------------------------------------------------------------------------------------------------
# General Settings
#----------------------------------------------------------------------------------------------------
SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
SET( CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a" )

#----------------------------------------------------------------------------------------------------
# Load needed Modules
#----------------------------------------------------------------------------------------------------
if(NOT DEFINED SPRINGLOBBY_REV)
  EXECUTE_PROCESS(COMMAND ${springlobby_SOURCE_DIR}/tools/get-revision.sh
    OUTPUT_VARIABLE SPRINGLOBBY_REV
    ERROR_VARIABLE GIT_ERROR
    OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif(NOT DEFINED SPRINGLOBBY_REV)

INCLUDE(cmake/package_config.cmake)
INCLUDE(cmake/sources.list)

# PKG-Config
FIND_PACKAGE( PkgConfig )

#if nothing went wrong we have the file and can define HAVE_CONFIG_H
IF ( EXISTS ${springlobby_BINARY_DIR}/springlobby_config.h  OR  EXISTS ${springlobby_SOURCE_DIR}/springlobby_config.h  )
    ADD_DEFINITIONS( -DHAVE_CONFIG_H )
    INCLUDE_DIRECTORIES(${springlobby_BINARY_DIR})
ENDIF ( EXISTS ${springlobby_BINARY_DIR}/springlobby_config.h  OR  EXISTS ${springlobby_SOURCE_DIR}/springlobby_config.h  )


#----------------------------------------------------------------------------------------------------
# Options, that can be changed be the User in order to customise springlobby
#----------------------------------------------------------------------------------------------------
SET( OPTION_TORRENT_SYSTEM
	1 CACHE BOOL
	"Enables the builtin map/mod p2p downloader (requires libtorrent-rasterbar library)" )
SET( OPTION_SOUND
	1 CACHE BOOL
	"Enables sound notification functionality (requires openAL libraries)" )
SET( OPTION_TRANSLATION_SUPPORT
	1 CACHE BOOL
	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
SET( OPTION_NOTIFY
	1 CACHE BOOL
	"Enables libnotify support for popup status messages (requires libnotify)" )
SET( BUILD_SHARED_LIBS
	1 CACHE BOOL
	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )

SET( ENABLE_DEBUG_REPORT
	1 CACHE BOOL
	"Enable automatic uploading of crash information (requires libcurl)" )

SET( SPRINGLOBBY_REV
	"${SPRINGLOBBY_REV}" CACHE STRING
	"The revision string used in packages etc." )
SET( LOCALE_INSTALL_DIR
	${CMAKE_INSTALL_PREFIX}/share/locale CACHE STRING
	"message catalogs will installed here" )

IF( AUX_VERSION )
	ADD_DEFINITIONS( -DAUX_VERSION="${AUX_VERSION}" )
ENDIF( AUX_VERSION )

#----------------------------------------------------------------------------------------------------
# wxWidgets lib dependency check
#----------------------------------------------------------------------------------------------------

# Here you can define, what Libraries of wxWidgets you need for your Application. You can figure out what Libraries you need here:
# http://www.wxwidgets.org/manuals/2.8/wx_librarieslist.html
IF(NOT CMAKE_CROSSCOMPILING)
SET(wxWidgets_USE_LIBS base core net adv aui html xml qa)

# We need the Find package for wxWidgets to work
FIND_PACKAGE(wxWidgets REQUIRED base core net adv aui html xml qa)

# Did we find wxWidgets ? This condition will fail for as long as the internal Vars do not point to the proper wxWidgets Configuration.
IF(wxWidgets_FOUND)
	# Include wxWidgets macros
	INCLUDE(${wxWidgets_USE_FILE})
	IF(MSVC)
		INCLUDE_DIRECTORIES( ${wxWidgets_ROOT_DIR}/include/msvc )
	ENDIF(MSVC)
	IF(MINGW)
		SET(wxWidgets_RC_DIR ${wxWidgets_ROOT_DIR}/include)
	ENDIF(MINGW)
	INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
ELSE(wxWidgets_FOUND)
	# For Convenience. If we cannot continue, inform the User.
	MESSAGE( FATAL_ERROR "wxWidgets library not found! Please install the package to continue")
ENDIF(wxWidgets_FOUND)
ELSE (NOT CMAKE_CROSSCOMPILING)
    INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
    link_directories( ${wxWidgets_LIB_DIR} )
ENDIF(NOT CMAKE_CROSSCOMPILING)

#----------------------------------------------------------------------------------------------------
# openAL libs dependency check
#----------------------------------------------------------------------------------------------------

IF ( OPTION_SOUND )

	FIND_PACKAGE(OpenAL REQUIRED)
	INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})

	Add_Subdirectory( ${springlobby_SOURCE_DIR}/src/sound/alure )
	INCLUDE_DIRECTORIES( ${springlobby_SOURCE_DIR}/src/sound/alure/include )
	LINK_LIBRARIES( ${OPENAL_LIBRARY} ${springlobby_BINARY_DIR}/src/sound/alure/libalure.a )
ELSE ( OPTION_SOUND )
    # Disable sound.
    ADD_DEFINITIONS( -DDISABLE_SOUND )
ENDIF ( OPTION_SOUND )


IF( ENABLE_DEBUG_REPORT )
	ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT )
	IF( MINGW )
		ADD_DEFINITIONS( -gstabs )
		LINK_LIBRARIES( bfd iberty intl drmingw )
	ENDIF( MINGW )
	LIST( APPEND SLSharedWithSettings ${curlSRC} )
ENDIF( ENABLE_DEBUG_REPORT )



IF(WIN32)
	ADD_DEFINITIONS( ${CURL_CFLAGS}  )
	LINK_DIRECTORIES( ${CURL_STATIC_LIBRARY_DIRS} )
	LINK_LIBRARIES( ${CURL_STATIC_LDFLAGS} )
	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
ELSE(WIN32)
	pkg_check_modules( CURL REQUIRED libcurl )
	IF( NOT CURL_FOUND )
		MESSAGE( FATAL_ERROR "required library libCURL not found" )
	ENDIF( NOT CURL_FOUND )
	ADD_DEFINITIONS( ${CURL_CFLAGS} )
	LINK_DIRECTORIES( ${CURL_LIB_DIRS} )
	LINK_LIBRARIES( ${CURL_LDFLAGS} )
	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
ENDIF(WIN32)
#----------------------------------------------------------------------------------------------------
# libtorrent-rasterbar dependency check
#----------------------------------------------------------------------------------------------------

IF( OPTION_TORRENT_SYSTEM )
	IF( NOT WIN32)
	    SET ( LIBTORRENT_MIN_VERSION 0.13 )
	    pkg_check_modules( LIBTORRENT libtorrent-rasterbar>=${LIBTORRENT_MIN_VERSION} )
	    IF( LIBTORRENT_FOUND )
		    INCLUDE_DIRECTORIES( ${LIBTORRENT_INCLUDE_DIRS} )
		    LINK_LIBRARIES( ${LIBTORRENT_LIBRARIES} )
	    ELSE()
		    MESSAGE( FATAL_ERROR "libtorrent-rasterbar library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
	    ENDIF()
	    FIND_PACKAGE( Boost COMPONENTS system )
	    IF( Boost_FOUND )
		    link_directories( ${Boost_LIB_DIR} )
		    INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
		    SET( SL_BOOST_LIBS boost_system-mt )
	    ELSE()
		    MESSAGE( FATAL_ERROR "boost library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
	    ENDIF()

	ELSE( NOT WIN32)
		link_directories( ${boost_LIB_DIR} )
		INCLUDE_DIRECTORIES( ${boost_INCLUDE_DIR} )
		ADD_DEFINITIONS( -mthreads  )
		LINK_LIBRARIES( -mthreads torrent-rasterbar ${Boost_LIBRARIES} z ws2_32 mswsock  )
	ENDIF( NOT WIN32)
	LIST( APPEND SLSharedWithSettings ${curlSRC} )
	ADD_DEFINITIONS( -DTORRENT_DISABLE_GEO_IP )
ELSE( OPTION_TORRENT_SYSTEM )
	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
ENDIF( OPTION_TORRENT_SYSTEM )

#----------------------------------------------------------------------------------------------------
# libnotify dependency check
#----------------------------------------------------------------------------------------------------

IF( OPTION_NOTIFY AND NOT WIN32 )
	pkg_check_modules( LIBNOTIFY libnotify )
	pkg_check_modules( GLIB glib-2.0 )
	IF( LIBNOTIFY_FOUND )
		INCLUDE_DIRECTORIES( ${LIBNOTIFY_INCLUDE_DIRS} )
		LINK_LIBRARIES( ${LIBNOTIFY_LIBRARIES} )
		INCLUDE_DIRECTORIES( ${GLIB_INCLUDE_DIRS} )
		LINK_LIBRARIES( ${GLIB_LIBRARIES} )
		ADD_DEFINITIONS( -DHAVE_LIBNOTIFY )
	ENDIF( LIBNOTIFY_FOUND )
ENDIF( OPTION_NOTIFY AND NOT WIN32 )


# If we build for windows Systems, we also include the Resource-File containing the Manifest, Icon and other Resources.
IF(WIN32)
	IF(MINGW OR CMAKE_CROSSCOMPILING)
		FIND_PROGRAM(WINDRES NAMES i586-pc-mingw32-windres windres i686-mingw32-windres DOC "path to mingw's windres executable")
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sl_icon.o COMMAND ${WINDRES} -I${springlobby_SOURCE_DIR}/src -I${wxWidgets_RC_DIR} -i${springlobby_SOURCE_DIR}/src/springlobby.rc -o ${CMAKE_CURRENT_BINARY_DIR}/sl_icon.o)
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ss_icon.o COMMAND ${WINDRES} -I${springlobby_SOURCE_DIR}/src -I${wxWidgets_RC_DIR} -i${springlobby_SOURCE_DIR}/src/settings++/settings.rc -o ${CMAKE_CURRENT_BINARY_DIR}/ss_icon.o)
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/su_icon.o COMMAND ${WINDRES} -I${springlobby_SOURCE_DIR}/src -I${wxWidgets_RC_DIR} -i${springlobby_SOURCE_DIR}/src/updater/updater.rc -o ${CMAKE_CURRENT_BINARY_DIR}/su_icon.o)
		SET(springlobby_RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/sl_icon.o )
		SET(SpringSettings_RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/ss_icon.o )
		SET(updater_RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/su_icon.o )
	ENDIF(MINGW OR CMAKE_CROSSCOMPILING)

	SET(springlobbySrc ${springlobbySrc} src/Helper/listctrl.cpp)
	SET(springlobbySrc ${springlobbySrc} src/springlobby.rc)
	SET(updaterSrc ${updaterSrc} src/updater/updater.rc)
	SET(StandAloneSettings ${StandAloneSettings} src/settings++/settings.rc)
ELSE(WIN32)
# If we don't build for windows, include some source code checks as pre-build step.
    ADD_CUSTOM_TARGET(test_susynclib ALL COMMAND tools/test-susynclib.awk src/springunitsynclib.cpp WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
ENDIF(WIN32)

#----------------------------------------------------------------------------------------------------
# L10n support
#----------------------------------------------------------------------------------------------------
if( OPTION_TRANSLATION_SUPPORT )
	include ( ${CMAKE_SOURCE_DIR}/po/CMakeLists.txt )
endif( OPTION_TRANSLATION_SUPPORT )
ADD_DEFINITIONS( -DLOCALE_INSTALL_DIR="${LOCALE_INSTALL_DIR}" )

#----------------------------------------------------------------------------------------------------
# Build target defintions
#----------------------------------------------------------------------------------------------------

# Here we define the executable springlobby ( or on Windows springlobby.exe )

#auto-remove whitespaces before/after lib paths
cmake_policy(SET CMP0004 OLD)
#ignore warnings about macosx app bundle output dir
cmake_policy(SET CMP0006 OLD)

ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${header} ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${springlobby_RC_FILE})
ADD_EXECUTABLE(springsettings WIN32 MACOSX_BUNDLE ${StandAloneSettings} ${SettingsSrc} ${SLSharedWithSettings} ${SpringSettings_RC_FILE} )
#the updater needs to be build for windows only
IF(WIN32)
       ADD_EXECUTABLE(springlobby_updater WIN32 MACOSX_BUNDLE ${updaterSrc} ${SLSharedWithSettings} ${updater_RC_FILE} )
       TARGET_LINK_LIBRARIES(springlobby_updater ${wxWidgets_LIBRARIES} )
ENDIF(WIN32)

#only enable if debugging is necessary
#ADD_EXECUTABLE(versiontest WIN32 MACOSX_BUNDLE src/versiontest.cpp )

# Here the wxWidgets Libraries are added. These are set for us by the FIND Script. If you need other Libraries, you can add them here as well.
TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )

IF(MINGW)
	TARGET_LINK_LIBRARIES( springlobby iphlpapi )
	TARGET_LINK_LIBRARIES( springsettings iphlpapi  )
ENDIF(MINGW)

=== debian/changelog ===
springlobby (0.139-1) unstable; urgency=low

  * New upstream version.
  * update debian/copyright format version
  * update debian/copyright, add myself for debian/* files

 -- Jan Dittberner <jandd@debian.org>  Sun, 02 Oct 2011 22:54:08 +0200

springlobby (0.135-1) unstable; urgency=low

  * New upstream version.
  * debian/control: add libboost-dev to Build-Depends

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Aug 2011 15:34:27 +0200

=== debian/control ===
Source: springlobby
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Marco Amadori <marco.amadori@gmail.com>, Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, libwxgtk2.8-dev,
 libopenal-dev, asciidoc, xsltproc, docbook-xsl, libcurl4-gnutls-dev,
 libboost-dev
Standards-Version: 3.9.2
Homepage: http://springlobby.info
Vcs-Browser: http://git.debian.org/?p=pkg-games/springlobby.git;a=summary
Vcs-Git: git://git.debian.org/pkg-games/springlobby.git

Package: springlobby
Provides: spring-lobby
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, spring (>= 0.81.2.1+dfsg1-5)
Description: single/multiplayer lobby for the Spring RTS engine
 This package provides a single-player and multiplayer lobby for Spring.
 Other features include a P2P system for downloading maps and mods and
 a built-in IRC-like chat client.

Package: springlobby-dbg
Section: debug
Architecture: i386 amd64
Priority: extra
Depends: ${misc:Depends}, springlobby (= ${binary:Version})
Description: single/multiplayer lobby for the Spring RTS engine (debugging symbols)
 This package provides a single-player and multiplayer lobby for Spring.
 Other features include a P2P system for downloading maps and mods and
 a built-in IRC-like chat client.
 .
 This package contains the debugging symbols for the springlobby binary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SLVERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d'-')

PROGDIR := $(CURDIR)/debian/tmp
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_configure:
	dh_auto_configure -- -DOPTION_TORRENT_SYSTEM=OFF -DSPRINGLOBBY_REV:STRING=$(SLVERSION) -DCMAKE_BUILD_TYPE=RELWITHDEBINFO

override_dh_auto_build:
	+dh_auto_build
	$(MAKE) -C debian/manpages

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	+dh_auto_install
	cd $(PROGDIR)/usr/share/doc/springlobby && \
	rm -fv COPYING AUTHORS && \
	gzip -9 README THANKS NEWS

	# install launcher
	mkdir -p $(PROGDIR)/usr/games
	mv $(PROGDIR)/usr/bin/springsettings $(PROGDIR)/usr/games/
	mv $(PROGDIR)/usr/bin/springlobby $(PROGDIR)/usr/games/
	# remove empty dirs (/usr/bin expected until an CMake bindir is provided)
	find $(PROGDIR) -type d -empty -delete

override_dh_strip:
	+dh_strip --dbg-package=springlobby-dbg

override_dh_auto_clean:
	+dh_auto_clean
	$(MAKE) -C debian/manpages clean

clean:
	rm -f .gitattributes

%:
	# fail to build on architectures other than amd64 and i386
	dpkg-architecture -eamd64 || dpkg-architecture -ei386 || exit 1
	+dh --buildsystem=cmake $@

## springlobby 0.144

=== CMakeLists.txt ===
--- 
+++ 
@@ -170,6 +170,7 @@
 	    IF( LIBTORRENT_FOUND )
 		    INCLUDE_DIRECTORIES( ${LIBTORRENT_INCLUDE_DIRS} )
 		    LINK_LIBRARIES( ${LIBTORRENT_LIBRARIES} )
+		    ADD_DEFINITIONS( ${LIBTORRENT_CFLAGS} )
 	    ELSE()
 		    MESSAGE( FATAL_ERROR "libtorrent-rasterbar library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
 	    ENDIF()
@@ -253,6 +254,7 @@
 
 ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${header} ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${springlobby_RC_FILE})
 ADD_EXECUTABLE(springsettings WIN32 MACOSX_BUNDLE ${StandAloneSettings} ${SettingsSrc} ${SLSharedWithSettings} ${SpringSettings_RC_FILE} )
+set_target_properties(springsettings PROPERTIES COMPILE_FLAGS -DSPRINGSETTINGS_STANDALONE )
 #the updater needs to be build for windows only
 IF(WIN32)
        ADD_EXECUTABLE(springlobby_updater WIN32 MACOSX_BUNDLE ${updaterSrc} ${SLSharedWithSettings} ${updater_RC_FILE} )
@@ -264,10 +266,3 @@
 
 # Here the wxWidgets Libraries are added. These are set for us by the FIND Script. If you need other Libraries, you can add them here as well.
 TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
-TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
-
-IF(MINGW)
-	TARGET_LINK_LIBRARIES( springlobby iphlpapi )
-	TARGET_LINK_LIBRARIES( springsettings iphlpapi  )
-ENDIF(MINGW)
-

=== src/sound/alure/CMakeLists.txt ===
# CMakeLists.txt for ALURE
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
PROJECT(ALURE)
IF(COMMAND CMAKE_POLICY)
    CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

SET(CMAKE_MODULE_PATH "${ALURE_SOURCE_DIR}/cmake")

INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCSourceCompiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)
INCLUDE(CheckSharedLibraryExists)
INCLUDE(FindPkgConfig)
INCLUDE(UsePkgConfig)
INCLUDE(CheckFileOffsetBits)

link_directories( "${ALURE_BINARY_DIR}" )

SET(LIBNAME alure)

SET(LIB_MAJOR_VERSION "1")
SET(LIB_MINOR_VERSION "0")
SET(LIB_BUILD_VERSION "72")
SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_BUILD_VERSION}")
IF(NOT DEFINED LIB_INSTALL_DIR)
    SET(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
ENDIF(NOT DEFINED LIB_INSTALL_DIR)


INCLUDE_DIRECTORIES("${ALURE_SOURCE_DIR}/include" include "${ALURE_BINARY_DIR}")
INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})

OPTION(NO_SHARED "Build a static library instead of shared" ON)

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)
IF(NOT DEFINED CMAKE_DEBUG_POSTFIX)
    SET(CMAKE_DEBUG_POSTFIX "" CACHE STRING
        "Library postfix for debug builds. Normally left blank."
        FORCE)
ENDIF(NOT DEFINED CMAKE_DEBUG_POSTFIX)


ADD_DEFINITIONS(-DALURE_BUILD_LIBRARY -DHAVE_CONFIG_H)

CHECK_SHARED_LIBRARY_EXISTS(stdc++ memset "" HAS_STDCXX)
IF(HAS_STDCXX)
    SET(EXTRA_LIBS stdc++ ${EXTRA_LIBS})
ENDIF(HAS_STDCXX)

CHECK_FILE_OFFSET_BITS()
IF(_FILE_OFFSET_BITS)
    ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=${_FILE_OFFSET_BITS})
    SET(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -D_FILE_OFFSET_BITS=${_FILE_OFFSET_BITS})
ENDIF(_FILE_OFFSET_BITS)

CHECK_FUNCTION_EXISTS(fseeko HAVE_FSEEKO)

IF(MSVC)
    # ???
ELSE(MSVC)
    IF(NOT WIN32)
        CHECK_C_SOURCE_COMPILES("int foo() __attribute__((constructor));
                                 int main() {return 0;}" HAVE_GCC_CONSTRUCTOR)

        CHECK_C_COMPILER_FLAG(-fvisibility=hidden HAVE_GCC_VISIBILITY)
        IF(HAVE_GCC_VISIBILITY)
            ADD_DEFINITIONS(-fvisibility=hidden)
        ENDIF(HAVE_GCC_VISIBILITY)
    ENDIF(NOT WIN32)

    CHECK_C_COMPILER_FLAG(-Wextra HAVE_WEXTRA)
    IF(HAVE_WEXTRA)
        ADD_DEFINITIONS(-Wextra)
    ENDIF(HAVE_WEXTRA)
    ADD_DEFINITIONS(-Wall)
ENDIF(MSVC)


CHECK_INCLUDE_FILE(windows.h HAVE_WINDOWS_H -D_WIN32_WINNT=0x0500)
IF(NOT HAVE_WINDOWS_H)
    CHECK_C_COMPILER_FLAG(-pthread HAVE_PTHREAD)
    IF(HAVE_PTHREAD)
        ADD_DEFINITIONS(-pthread)
        SET(EXTRA_LIBS ${EXTRA_LIBS} -pthread)
    ENDIF(HAVE_PTHREAD)

    # We need pthreads outside of Windows
    CHECK_INCLUDE_FILE(pthread.h HAVE_PTHREAD_H)
    IF(NOT HAVE_PTHREAD_H)
        MESSAGE(FATAL_ERROR "PThreads is required for non-Windows builds!")
    ENDIF()
    # Some systems need pthread_np.h to get recursive mutexes
    CHECK_INCLUDE_FILES("pthread.h;pthread_np.h" HAVE_PTHREAD_NP_H)

    # _GNU_SOURCE is needed on some systems for extra attributes, and
    # _REENTRANT is needed for libc thread-safety
    ADD_DEFINITIONS(-D_GNU_SOURCE=1)
    CHECK_FUNCTION_EXISTS(pthread_create HAS_PTHREAD_CREATE)
    IF(NOT HAS_PTHREAD_CREATE)
        CHECK_SHARED_LIBRARY_EXISTS(pthread pthread_create "" HAVE_LIBPTHREAD)
        IF(NOT HAVE_LIBPTHREAD)
            MESSAGE(FATAL_ERROR "pthread_create not found on non-Windows target!")
        ENDIF(NOT HAVE_LIBPTHREAD)
        SET(EXTRA_LIBS pthread ${EXTRA_LIBS})
    ENDIF(NOT HAS_PTHREAD_CREATE)

    CHECK_FUNCTION_EXISTS(nanosleep HAVE_NANOSLEEP)
    IF(NOT HAVE_NANOSLEEP)
        MESSAGE(FATAL_ERROR "No sleep function found!")
    ENDIF(NOT HAVE_NANOSLEEP)
ENDIF(NOT HAVE_WINDOWS_H)


OPTION(SNDFILE   "SoundFile support (for various formats)" ON)
OPTION(VORBIS    "VorbisFile support (for Ogg Vorbis)"  ON)
OPTION(FLAC      "FLAC support (for FLAC and Ogg FLAC)" ON)
OPTION(MPG123    "MPG123 support (for MP1/MP2/MP3)" ON)
OPTION(GSTREAMER "GStreamer support" OFF)

IF(WIN32)
    ADD_DEFINITIONS(-D_WIN32)

    IF(CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET(WIN_TYPE Win64)
        SET(XBITS x64)
    ELSE(CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET(WIN_TYPE Win32)
        SET(XBITS x86)
    ENDIF(CMAKE_SIZEOF_VOID_P MATCHES "8")
ELSE(WIN32)
    PKG_CHECK_MODULES(OPENAL openal)
    IF(NOT OPENAL_FOUND)
        IF(APPLE)
            CHECK_INCLUDE_FILE(OpenAL/al.h HAVE_OPENAL_AL_H)
            IF(HAVE_OPENAL_AL_H)
                SET(OPENAL_LIBRARIES "-framework OpenAL")
                SET(HAS_OPENAL 1)
            ENDIF(HAVE_OPENAL_AL_H)
        ELSE(APPLE)
            CHECK_INCLUDE_FILE(AL/al.h HAVE_AL_AL_H)
            IF(HAVE_AL_AL_H)
                CHECK_SHARED_LIBRARY_EXISTS(openal alcOpenDevice "" HAS_OPENAL)
                IF(HAS_OPENAL)
                    SET(OPENAL_LIBRARIES openal)
                ENDIF(HAS_OPENAL)
            ENDIF(HAVE_AL_AL_H)
        ENDIF(APPLE)
        IF(NOT HAS_OPENAL)
            MESSAGE(FATAL_ERROR "OpenAL not found!")
        ENDIF(NOT HAS_OPENAL)
    ELSE(NOT OPENAL_FOUND)
        INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIRS})
        LINK_DIRECTORIES(${OPENAL_LIBRARY_DIRS})
    ENDIF(NOT OPENAL_FOUND)
ENDIF(WIN32)

# SndFile support
SET( SNDFILE 0 )
# IF(SNDFILE)
#     PKG_CHECK_MODULES(SNDFILE sndfile)
#     IF(NOT SNDFILE_FOUND)
#         CHECK_INCLUDE_FILE(sndfile.h HAVE_SNDFILE_H)
#         IF(HAVE_SNDFILE_H)
#             CHECK_SHARED_LIBRARY_EXISTS(sndfile sf_open "" HAS_SNDFILE)
#             IF(HAS_SNDFILE)
#                 SET(SNDFILE_LIBRARIES "sndfile")
#             ELSE(HAS_SNDFILE)
#                 CHECK_SHARED_LIBRARY_EXISTS(libsndfile-1 sf_open "" HAS_LIBSNDFILE1)
#                 IF(HAS_LIBSNDFILE1)
#                     SET(HAS_SNDFILE 1)
#                     SET(SNDFILE_LIBRARIES "libsndfile-1")
#                 ENDIF(HAS_LIBSNDFILE1)
#             ENDIF(HAS_SNDFILE)
#         ENDIF(HAVE_SNDFILE_H)
#     ELSE(NOT SNDFILE_FOUND)
#         SET(HAS_SNDFILE 1)
#         INCLUDE_DIRECTORIES(${SNDFILE_INCLUDE_DIRS})
#         LINK_DIRECTORIES(${SNDFILE_LIBRARY_DIRS})
#     ENDIF(NOT SNDFILE_FOUND)
# ELSE(SNDFILE)
#     SET(SNDFILE_LIBRARIES "")
# ENDIF(SNDFILE)

# Vorbis support
IF(VORBIS)
    PKG_CHECK_MODULES(VORBISFILE vorbisfile)
    IF(NOT VORBISFILE_FOUND)
        CHECK_INCLUDE_FILE(vorbis/vorbisfile.h HAVE_VORBIS_VORBISFILE_H)
        IF(HAVE_VORBIS_VORBISFILE_H)
            CHECK_SHARED_LIBRARY_EXISTS(vorbisfile ov_open "" HAS_VORBISFILE)
            IF(HAS_VORBISFILE)
                SET(VORBISFILE_LIBRARIES "vorbisfile")
            ENDIF(HAS_VORBISFILE)
        ENDIF(HAVE_VORBIS_VORBISFILE_H)
    ELSE(NOT VORBISFILE_FOUND)
        SET(HAS_VORBISFILE 1)
        INCLUDE_DIRECTORIES(${VORBISFILE_INCLUDE_DIRS})
        LINK_DIRECTORIES(${VORBISFILE_LIBRARY_DIRS})
    ENDIF(NOT VORBISFILE_FOUND)
ELSE(VORBIS)
    SET(VORBISFILE_LIBRARIES "")
ENDIF(VORBIS)

# FLAC support
SET( FLAC 0 )
# IF(FLAC)
#     #PKG_CHECK_MODULES(LIBFLAC flac)
#     #IF(NOT LIBFLAC_FOUND)
#         CHECK_INCLUDE_FILE(FLAC/all.h HAVE_FLAC_ALL_H)
#         IF(HAVE_FLAC_ALL_H)
#             CHECK_SHARED_LIBRARY_EXISTS(FLAC FLAC__stream_decoder_new "" HAS_FLAC)
#             IF(HAS_FLAC)
#                 SET(LIBFLAC_LIBRARIES "FLAC")
#             ENDIF(HAS_FLAC)
#         ENDIF(HAVE_FLAC_ALL_H)
#     #ELSE(NOT LIBFLAC)
#     #    SET(HAS_FLAC 1)
#     #    INCLUDE_DIRECTORIES(${LIBFLAC_INCLUDE_DIRS})
#     #    LINK_DIRECTORIES(${LIBFLAC_LIBRARY_DIRS})
#     #ENDIF(NOT LIBFLAC_FOUND)
# ELSE(FLAC)
#     SET(LIBFLAC_LIBRARIES "")
# ENDIF(FLAC)

# MPG123 support
IF(MPG123)
    PKG_CHECK_MODULES(MPG123 libmpg123)
    IF(NOT MPG123_FOUND)
        CHECK_INCLUDE_FILE(mpg123.h HAVE_MPG123_H)
        IF(HAVE_MPG123_H)
            CHECK_SHARED_LIBRARY_EXISTS(mpg123 mpg123_init "" HAS_MPG123)
            IF(HAS_MPG123)
                SET(MPG123_LIBRARIES "mpg123")
            ENDIF(HAS_MPG123)
        ENDIF(HAVE_MPG123_H)
    ELSE(NOT MPG123_FOUND)
        SET(HAS_MPG123 1)
        INCLUDE_DIRECTORIES(${MPG123_INCLUDE_DIRS})
        LINK_DIRECTORIES(${MPG123_LIBRARY_DIRS})
    ENDIF(NOT MPG123_FOUND)
ELSE(MPG123)
    SET(MPG123_LIBRARIES "")
ENDIF(MPG123)

# GStreamer support
IF(GSTREAMER)
    PKG_CHECK_MODULES(GST gstreamer-0.10;gstreamer-plugins-base-0.10)
    IF(GST_FOUND)
        CHECK_SHARED_LIBRARY_EXISTS(gstapp-0.10 gst_app_sink_pull_buffer "" HAS_GSTAPP)
        IF(HAS_GSTAPP)
            SET(HAS_GSTREAMER 1)
            INCLUDE_DIRECTORIES(${GST_INCLUDE_DIRS})
            LINK_DIRECTORIES(${GST_LIBRARY_DIRS})
            SET(EXTRA_LIBS gstapp-0.10 ${EXTRA_LIBS})
        ENDIF(HAS_GSTAPP)
    ELSE(GST_FOUND)
        SET(GST_SEARCH_PATHS
            ENV GSTSDK_DIR
            ENV MINGDIR
            "C:/Program Files/gstreamer"
            "C:/gstreamer" )

        MESSAGE(STATUS "Looking for glib.h")
        FIND_PATH(GLIB_INCLUDE_DIR glib.h
                  PATHS ${GST_SEARCH_PATHS}
                  PATH_SUFFIXES include include/glib-2.0)
        IF(GLIB_INCLUDE_DIR)
            MESSAGE(STATUS "Looking for glib.h - found: ${GLIB_INCLUDE_DIR}")
        ELSE(GLIB_INCLUDE_DIR)
            MESSAGE(STATUS "Looking for glib.h - not found")
        ENDIF(GLIB_INCLUDE_DIR)

        MESSAGE(STATUS "Looking for gst/gst.h")
        FIND_PATH(GST_INCLUDE_DIR gst/gst.h
                  PATHS ${GST_SEARCH_PATHS}
                  PATH_SUFFIXES include include/gstreamer-0.10)
        IF(GST_INCLUDE_DIR)
            MESSAGE(STATUS "Looking for gst/gst.h - found: ${GST_INCLUDE_DIR}")
        ELSE(GST_INCLUDE_DIR)
            MESSAGE(STATUS "Looking for gst/gst.h - not found")
        ENDIF(GST_INCLUDE_DIR)

        IF(GLIB_INCLUDE_DIR AND GST_INCLUDE_DIR)
            INCLUDE_DIRECTORIES("${GLIB_INCLUDE_DIR}" "${GST_INCLUDE_DIR}")
            FIND_LIBRARY(GST_LIBRARY1 NAMES gstapp-0.10
                         PATHS ${GST_SEARCH_PATHS} PATH_SUFFIXES lib )
            FIND_LIBRARY(GST_LIBRARY2 NAMES gstreamer-0.10
                         PATHS ${GST_SEARCH_PATHS} PATH_SUFFIXES lib )
            FIND_LIBRARY(GST_LIBRARY3 NAMES gthread-2.0
                         PATHS ${GST_SEARCH_PATHS} PATH_SUFFIXES lib )
            FIND_LIBRARY(GST_LIBRARY4 NAMES gmodule-2.0
                         PATHS ${GST_SEARCH_PATHS} PATH_SUFFIXES lib )
            FIND_LIBRARY(GST_LIBRARY5 NAMES gobject-2.0
                         PATHS ${GST_SEARCH_PATHS} PATH_SUFFIXES lib )
            FIND_LIBRARY(GST_LIBRARY6 NAMES glib-2.0
                         PATHS ${GST_SEARCH_PATHS} PATH_SUFFIXES lib )
            IF(GST_LIBRARY1 AND GST_LIBRARY2 AND GST_LIBRARY3 AND GST_LIBRARY4 AND GST_LIBRARY5 AND GST_LIBRARY6)
                SET(GST_LIBRARIES "${GST_LIBRARY1}" "${GST_LIBRARY2}" "${GST_LIBRARY3}" "${GST_LIBRARY4}" "${GST_LIBRARY5}" "${GST_LIBRARY6}")
                MESSAGE(STATUS "GStreamer libs: ${GST_LIBRARIES}")
                SET(HAS_GSTREAMER 1)
            ENDIF(GST_LIBRARY1 AND GST_LIBRARY2 AND GST_LIBRARY3 AND GST_LIBRARY4 AND GST_LIBRARY5 AND GST_LIBRARY6)
        ENDIF(GLIB_INCLUDE_DIR AND GST_INCLUDE_DIR)
    ENDIF(GST_FOUND)
ELSE(GSTREAMER)
    SET(GST_LIBRARIES "")
ENDIF(GSTREAMER)

# End configuration
CONFIGURE_FILE(
    "${ALURE_SOURCE_DIR}/alure_config.h.in"
    "${ALURE_BINARY_DIR}/alure_config.h")

SET(ALURE_OBJS  src/alure.cpp
                src/buffer.cpp
                src/istream.cpp
                src/stream.cpp
                src/streamplay.cpp
)

IF(NOT NO_SHARED)
    #build a shared library
    ADD_LIBRARY(${LIBNAME} SHARED ${ALURE_OBJS})
    SET_TARGET_PROPERTIES(${LIBNAME} PROPERTIES VERSION ${LIB_VERSION}
                                                SOVERSION ${LIB_MAJOR_VERSION})
    IF(WIN32)
        SET_TARGET_PROPERTIES(${LIBNAME} PROPERTIES PREFIX "")
    ENDIF(WIN32)

=== debian/changelog ===
springlobby (0.144-1) unstable; urgency=low

  * New upstream version
  * Bump Standards-Version to 3.9.3 (no changes)
  * update debian/copyright format to 1.0

 -- Jan Dittberner <jandd@debian.org>  Sun, 25 Mar 2012 22:29:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~), cmake, libwxgtk2.8-dev,
  libopenal-dev, asciidoc, xsltproc, docbook-xsl, libcurl4-gnutls-dev,
  libboost-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://springlobby.info
 Vcs-Browser: http://git.debian.org/?p=pkg-games/springlobby.git;a=summary
 Vcs-Git: git://git.debian.org/pkg-games/springlobby.git

## springlobby 0.147

=== CMakeLists.txt ===
--- 
+++ 
@@ -165,7 +165,7 @@
 
 IF( OPTION_TORRENT_SYSTEM )
 	IF( NOT WIN32)
-	    SET ( LIBTORRENT_MIN_VERSION 0.13 )
+	    SET ( LIBTORRENT_MIN_VERSION 0.14 )
 	    pkg_check_modules( LIBTORRENT libtorrent-rasterbar>=${LIBTORRENT_MIN_VERSION} )
 	    IF( LIBTORRENT_FOUND )
 		    INCLUDE_DIRECTORIES( ${LIBTORRENT_INCLUDE_DIRS} )
@@ -178,7 +178,7 @@
 	    IF( Boost_FOUND )
 		    link_directories( ${Boost_LIB_DIR} )
 		    INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
-		    SET( SL_BOOST_LIBS boost_system-mt )
+		    SET( SL_BOOST_LIBS boost_system )
 	    ELSE()
 		    MESSAGE( FATAL_ERROR "boost library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
 	    ENDIF()
@@ -230,7 +230,10 @@
 	SET(StandAloneSettings ${StandAloneSettings} src/settings++/settings.rc)
 ELSE(WIN32)
 # If we don't build for windows, include some source code checks as pre-build step.
-    ADD_CUSTOM_TARGET(test_susynclib ALL COMMAND tools/test-susynclib.awk src/springunitsynclib.cpp WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
+	FIND_PROGRAM(AWKBIN awk)
+	IF(AWKBIN)
+		ADD_CUSTOM_TARGET(test_susynclib ALL COMMAND ${AWKBIN} -f tools/test-susynclib.awk src/springunitsynclib.cpp WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
+	ENDIF(AWKBIN)
 ENDIF(WIN32)
 
 #----------------------------------------------------------------------------------------------------

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname springlobby)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES  ${CMAKE_SOURCE_DIR}/po/*.po)
		

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

FIND_PROGRAM( XGETTEXT NAMES "xgettext" )
IF(${XGETTEXT} STREQUAL "XGETTEXT-NOTFOUND")
  MESSAGE(STATUS "Warning: xgettext not found - will not update springlobby.pot")
ELSE(${XGETTEXT} STREQUAL "XGETTEXT-NOTFOUND")
  MESSAGE(STATUS "Found xgettext: ${XGETTEXT}")
  SET(MESSAGES_POT_FILE ${springlobby_SOURCE_DIR}/po/springlobby.pot)
  ADD_CUSTOM_TARGET(
    update-potfile  
    COMMAND ${XGETTEXT} -k_ --from-code=utf-8 -C -o ${MESSAGES_POT_FILE} ${springlobbySrc} ${updaterSrc} ${header} ${StandAloneSettings} ${SettingsSrc} ${SLSharedWithSettings}
#     DEPENDS springlobby
    WORKING_DIRECTORY ${springlobby_SOURCE_DIR}
  )
ENDIF(${XGETTEXT} STREQUAL "XGETTEXT-NOTFOUND")

FIND_PROGRAM( MSGMERGE NAMES "msgmerge" )
IF(${MSGMERGE} STREQUAL "MSGMERGE-NOTFOUND")
  MESSAGE(STATUS "Warning: msgmerge not found - will not update po files")
ELSE(${MSGMERGE} STREQUAL "MSGMERGE-NOTFOUND")
  MESSAGE(STATUS "Found msgmerge: ${MSGMERGE}")

  ADD_CUSTOM_TARGET( update-po )
	FILE(GLOB PO_FILES  ${CMAKE_SOURCE_DIR}/po/*.po)
	SET( POTFILE ${springlobby_SOURCE_DIR}/po/springlobby.pot )

	FOREACH(_poFile ${PO_FILES})
			ADD_CUSTOM_COMMAND(TARGET update-po
						COMMAND ${MSGMERGE} -vU ${_poFile} ${POTFILE} 
						DEPENDS ${_poFile})
	ENDFOREACH(_poFile ${PO_FILES})
  
ENDIF(${MSGMERGE} STREQUAL "MSGMERGE-NOTFOUND")

ADD_CUSTOM_TARGET( update-translations )
add_dependencies( update-translations update-potfile )
add_dependencies( update-translations update-po )

=== debian/changelog ===
springlobby (0.147-1) unstable; urgency=low

  * New upstream version
  * enable hardening build flags
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
    - bump debian/compat to 9
    - bump debhelper version in Build-Depends to (>= 9.20120417~)
  * debian/rules: move --buildsystem=cmake to the end of dh invocation
  * move rm -f .gitattributes from clean to override_dh_auto_clean to
    fix FTBFS twice in a row

 -- Jan Dittberner <jandd@debian.org>  Tue, 22 May 2012 12:58:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Marco Amadori <marco.amadori@gmail.com>, Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, libwxgtk2.8-dev,
+Build-Depends: debhelper (>= 9.20120417~), cmake, libwxgtk2.8-dev,
  libopenal-dev, asciidoc, xsltproc, docbook-xsl, libcurl4-gnutls-dev,
- libboost-dev
+ libboost-dev, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://springlobby.info
 Vcs-Browser: http://git.debian.org/?p=pkg-games/springlobby.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -46,11 +41,9 @@
 override_dh_auto_clean:
 	+dh_auto_clean
 	$(MAKE) -C debian/manpages clean
-
-clean:
 	rm -f .gitattributes
 
 %:
 	# fail to build on architectures other than amd64 and i386
 	dpkg-architecture -eamd64 || dpkg-architecture -ei386 || exit 1
-	+dh --buildsystem=cmake $@
+	+dh $@ --buildsystem=cmake
